Package org.eclipse.m2m.atl.profiler.vm

## Class ProfilerLauncher

- java.lang.Object
- - org.eclipse.m2m.atl.core.ui.vm.RegularVMLauncher
  - - org.eclipse.m2m.atl.profiler.vm.ProfilerLauncher

All Implemented Interfaces:
  `ILauncher`

    public class ProfilerLauncher
    extends RegularVMLauncher

RegularVM Profiler launcher.

### Field Summary

### Fields inherited from interface org.eclipse.m2m.atl.core.launch.ILauncher

`DEBUG_MODE, RUN_MODE`

### Constructor Summary

Constructors
`ProfilerLauncher()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String[]` `getModes()` Returns the supported modes.
`java.lang.String` `getName()` Returns the `ILauncher` name.
`java.lang.Object` `launch​(java.lang.String mode, org.eclipse.core.runtime.IProgressMonitor monitor, java.util.Map<java.lang.String,​java.lang.Object> options, java.lang.Object... modules)` Launches the transformation using the given parameters and the given set of preloaded modules, or `InputStream`.

### Methods inherited from class org.eclipse.m2m.atl.core.ui.vm.RegularVMLauncher

`addInModel, addInOutModel, addLibrary, addOutModel, getDefaultModelFactoryName, getLibrary, getModel, initialize, internalLaunch, loadModule`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ProfilerLauncher

    public ProfilerLauncher()

### Method Detail

#### launch

    public java.lang.Object launch​(java.lang.String mode,
                                   org.eclipse.core.runtime.IProgressMonitor monitor,
                                   java.util.Map<java.lang.String,​java.lang.Object> options,
                                   java.lang.Object... modules)

Launches the transformation using the given parameters and the given set of preloaded modules, or `InputStream`.

Specified by:
  `launch` in interface `ILauncher`
Overrides:
  `launch` in class `RegularVMLauncher`
Parameters:
  `mode` - the launching mode
  `monitor` - the progress monitor
  `options` - vm options
  `modules` - single module/ordered module set. A module set is used for superimposition, where the first module of the set is override by the next ones. A module can be passed as an InputStream or directly a module loaded by the loadModule method.
Returns:
  the transformation return result
See Also:
  `RegularVMLauncher.launch(java.lang.String, org.eclipse.core.runtime.IProgressMonitor, java.util.Map, java.lang.Object[])`

#### getName

    public java.lang.String getName()

Returns the `ILauncher` name.

Specified by:
  `getName` in interface `ILauncher`
Overrides:
  `getName` in class `RegularVMLauncher`
Returns:
  the `ILauncher` name
See Also:
  `RegularVMLauncher.getName()`

#### getModes

    public java.lang.String[] getModes()

Returns the supported modes.

Specified by:
  `getModes` in interface `ILauncher`
Overrides:
  `getModes` in class `RegularVMLauncher`
Returns:
  the supported modes
See Also:
  `ILauncher.getModes()`